Package ru.bitel.oss.systems.inventory.resource.server.bean

# Class DeviceInterfaceIndexDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.oss.systems.inventory.resource.server.bean.DeviceInterfaceIndexDao

public class DeviceInterfaceIndexDao extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `DeviceInterfaceIndexDao.DeviceInterfaceIndexItem`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeviceInterfaceIndexDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected DeviceInterfaceIndex`
  `getFromRS(ResultSet rs)`
  `static Map<Integer,List<DeviceInterfaceIndexDao.DeviceInterfaceIndexItem>>`
  `getIfaceIndexMap(DeviceInterfaceIndexDao interfaceIndexDao, Map<Integer,Map<Integer,List<DeviceInterfaceIndexDao.DeviceInterfaceIndexItem>>> deviceInterfaceIndexMap, int deviceId)`
  `List<DeviceInterfaceIndex>`
  `list(int deviceId, Integer interfaceId, Date time)`
  `void`
  `update(int deviceId, int interfaceId, List<DeviceInterfaceIndex> interfaceIndexList)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DeviceInterfaceIndexDao

    public DeviceInterfaceIndexDao(Connection con, int moduleId)

- ## Method Details

  - ### getFromRS

    protected DeviceInterfaceIndex getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### update

    public void update(int deviceId, int interfaceId, List<DeviceInterfaceIndex> interfaceIndexList) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<DeviceInterfaceIndex> list(int deviceId, Integer interfaceId, Date time) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getIfaceIndexMap

    public static Map<Integer,List<DeviceInterfaceIndexDao.DeviceInterfaceIndexItem>> getIfaceIndexMap(DeviceInterfaceIndexDao interfaceIndexDao, Map<Integer,Map<Integer,List<DeviceInterfaceIndexDao.DeviceInterfaceIndexItem>>> deviceInterfaceIndexMap, int deviceId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`